vRack
All operations require authentication.
List vRacks (legacy)Production
List vRacks (legacy). Returns the names of the vRacks the server is attached to as a whole, in the legacy mode. To attach a server, prefer attaching one of its interfaces in the vRack.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicated/ server/ {serviceName}/ vrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached dedicated server (legacy)Production
Get an attached dedicated server (legacy). Returns the attached server and its vRack. This is the legacy whole-server link, not an interface link.
Path parameters
The internal name of your dedicated server
vrack name
Response
Dedicated Server
vrack name
Example uses serviceName = string, vrack = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicated/ server/ {serviceName}/ vrack/ {vrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedServer": "string", "vrack": "string"}
Detach a dedicated server (legacy)Production
Detach a dedicated server (legacy). Detaches a whole dedicated server from the vRack, in the legacy mode. Returns the task that performs it.
Path parameters
The internal name of your dedicated server
vrack name
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string, vrack = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicated/ server/ {serviceName}/ vrack/ {vrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Get dedicated server traffic values (deprecated)Deprecated
Deprecated since Oct 22, 2017, will be removed on Apr 22, 2018 — use /dedicated/server/{serviceName}/networkInterfaceController instead.
Get dedicated server traffic values (deprecated). Returns the traffic, packets or errors measured on the vRack port of the server, for a period from hourly to yearly. Deprecated: use the dedicated server statistics instead.
Path parameters
The internal name of your dedicated server
vrack name
Query parameters
mrtg period
dailyhourlymonthlyweeklyyearlymrtg type
errors:downloaderrors:uploadpackets:downloadpackets:uploadtraffic:downloadtraffic:uploadResponse
A numeric value tagged with its unit
Example uses serviceName = string, vrack = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicated/ server/ {serviceName}/ vrack/ {vrack}/ mrtg \
-H "authorization: Bearer $OVH_TOKEN"[ { "timestamp": 0, "value": { "unit": "string", "value": 0 } }]